import { BaseView } from "../../Views/BaseView.js";
import ContextModel from "../../Models/ContextModel.js";
import { NavigationOverflow } from "./NavigationOverflow.js";
export declare type NavigationOrientation = "horizontal" | "vertical";
export interface INavigationOptions extends Jade.UI.IControlOptions {
    source: ContextModel;
    orientation?: NavigationOrientation;
}
export declare class Navigation extends BaseView {
    private m_observer;
    private m_overflow;
    constructor(options: INavigationOptions);
    protected get source(): ContextModel;
    private get orientation();
    private get itemsNode();
    private get items();
    protected get overflowNode(): JQuery;
    protected get overflow(): NavigationOverflow;
    template(): string | Array<string> | JQuery;
    protected onActivate(e: any): void;
    protected onComplete(e: any): void;
    protected onDestroy(e: any): void;
    private onResize;
    private overflow_init;
    private addResizeObserver;
    private selectDefaultNavigation;
    private scrollIntoView;
}
